| GET | /RestApi/recycle-bin/items |
|---|
using System;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using ServiceStack;
using ServiceStack.DataAnnotations;
using Telerik.Sitefinity.RecycleBin.Services.Dto.Requests;
namespace Telerik.Sitefinity.RecycleBin.Services.Dto.Requests
{
public partial class FindRecycleBinItems
: IRecycleBinItemFilter
{
public virtual int? Skip { get; set; }
public virtual int? Take { get; set; }
public virtual string OrderExpression { get; set; }
public virtual string TypeName { get; set; }
public virtual string SearchText { get; set; }
}
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/recycle-bin/items HTTP/1.1 Host: www.asg.com.au Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
[
{
providerName: String,
itemTypeName: String,
displayTypeName: String,
itemTitle: String,
status: String,
statusText: String,
itemLanguage: String,
ownerName: String,
dateCreated: 0001-01-01,
parentTypeName: String,
parentTitlesPath: String
}
]